Recall a Payment Agreement Async
PATCH
https://sand-api.monoova.com/au/payto/pam-v1/PaymentAgreementAsync/{paymentAgreementUID}/recall/{actionId}
paymentAgreementUIDstringId to uniquely Identify a payment agreement.
actionIdstring<p>unique Id used to identify pending(unapproved) actions. This id is assigned when a new payment agreement is created or when a bilateral amendment is made.</p>
202Accepted
400Bad Request
404Not Found
500Internal Server Error
502Bad Gateway
curl --request PATCH \
--url https://sand-api.monoova.com/au/payto/pam-v1/PaymentAgreementAsync/{paymentAgreementUID}/recall/{actionId} \
--header 'accept: application/json'This endpoint is used to recall a pending payment agreement before it is approved by the payer. The API returns as soon as the recall request has been captured and validated for background processing.